Exodus 7.10

Functions
ex_get_prop.c File Reference
`#include "exodusII.h"`
`#include "exodusII_int.h"`
`#include "netcdf.h"`
`#include <inttypes.h>`
`#include <stddef.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <sys/types.h>`

## Functions
int | ex_get_prop (int exoid, ex_entity_type obj_type, ex_entity_id obj_id, const char *prop_name, void_int *value)

## Function Documentation

## ◆ ex_get_prop()

int ex_get_prop | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | ex_entity_id | obj_id,
|  | const char * | prop_name,
|  | void_int * | value
| ) |  |

The function ex_get_prop() reads an integer object property value stored for a single element block, node set, or side set.

Returns
  In case of an error, ex_get_prop() returns a negative number; a warning will return a positive number. Possible causes of errors include:
  - data file not properly opened with call to ex_create() or ex_open()
  - invalid object type specified.
  - a warning value is returned if a property with the specified name is not found.

Parameters

  [in] | exoid | exodus file ID returned from a previous call to ex_create() or ex_open().
  [in] | obj_type | Type of object; use one of the options in the table below.
  [in] | obj_id | The element block, node set, or side set ID.
  [in] | prop_name | The name of the property (maximum length is `MAX_STR_LENGTH` ) for which the value is desired.
  [out] | value | Returned value of the property.

ex_entity_type | description
--- | ---
EX_NODE_SET | Node Set entity type
EX_EDGE_BLOCK | Edge Block entity type
EX_EDGE_SET | Edge Set entity type
EX_FACE_BLOCK | Face Block entity type
EX_FACE_SET | Face Set entity type
EX_ELEM_BLOCK | Element Block entity type
EX_ELEM_SET | Element Set entity type
EX_SIDE_SET | Side Set entity type
EX_ELEM_MAP | Element Map entity type
EX_NODE_MAP | Node Map entity type
EX_EDGE_MAP | Edge Map entity type
EX_FACE_MAP | Face Map entity type

For an example of code to read an object property, refer to the description for ex_get_prop_names().